<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
  <xsl:output method="html" indent="yes" />

  <xsl:template match="/">
    <html>
      <head>
        <meta name="generator" content="HTML Tidy, see www.w3.org" />
        <link rel="stylesheet" type="text/css" href="{$cssDir}ftd.css" />
        <script language="JavaScript" src="{$cssDir}javascript.js"></script>
        <title></title>
      </head>

   <body background="{$imgDir}/allbg.gif" alink="#163657" vlink="#163657" link="#163657" text="#000000">

<table width="100%" cellspacing="0" cellpadding="0" border="0">
 <tr>
  <td>
   <table width="100%" class="main" border="0" cellspacing="0" cellpadding="0">
    <tr class="header">
     <td width="33" background="{$imgDir}/headerbg3.bmp">
      <img src="{$imgDir}/down.bmp" />
     </td>
     <td width="*" background="{$imgDir}/headerbg3.bmp">
      <span style="color: #75663A; white-space: nowrap; padding-left: 10px;">FTD Watchlist</span>
     </td>
     <td width="30" background="{$imgDir}/headerbg3.bmp">
      <a href="iets.html#clearwlist">
       <img alt="Watchlist leegmaken" src="{$imgDir}/dl_00.bmp" onMouseOver="this.src='{$imgDir}/dl_01.bmp';" onMouseOut="this.src='{$imgDir}/dl_00.bmp';" border="0" />
      </a>
     </td>
     <td width="30" background="{$imgDir}/headerbg3.bmp">
      <a href="iets.html#loadwlist">
       <img alt="Watchlist downloaden van de server" src="{$imgDir}/dl_10.bmp" onMouseOver="this.src='{$imgDir}/dl_11.bmp';" onMouseOut="this.src='{$imgDir}/dl_10.bmp';" border="0" />
      </a>
     </td>
     <td width="30" background="{$imgDir}/headerbg3.bmp">
      <a href="iets.html#savewlist">
       <img alt="Watchlist uploaden naar de server" src="{$imgDir}/dl_20.bmp" onMouseOver="this.src='{$imgDir}/dl_21.bmp';" onMouseOut="this.src='{$imgDir}/dl_20.bmp';" border="0" />
      </a>
     </td>
     <td width="41" background="{$imgDir}/headerbg3.bmp">
      <img src="{$imgDir}/headerend3.bmp"/>
     </td>
    </tr>
   </table>

   <table width="100%" cellspacing="0" cellpadding="0" border="0">
    <tr>
     <td width="26" background="{$imgDir}/bleft3.bmp">
      <img src="{$imgDir}/bleft3.bmp" />
     </td>
     <td width="*" background="{$imgDir}/mainbg3.bmp" style="padding-right: 15px; padding-bottom: 10px; padding-top: 10px; border-right: 2px solid #BEAC87;">
      <table cellspacing="0" width="100%" style="border: 1px solid #000000; background-color: #FFF8F5; text-align: center; font-family: Arial; font-size: 11px;" border="0">
       <tr style="color: #4D381D; padding-top: 4px; padding-bottom: 7px; font-family: Verdana; font-size: 11px; font-weight: bold;">
        <td width="15" style="padding-top: 5px;" background="{$imgDir}/pbg2.bmp">
         &nbsp;
        </td>
        <td width="15" style="padding-top: 4px;" background="{$imgDir}/pbg2.bmp">
         <a style="color: #4D381D;" href="iets.html#dsortmode3"> S</a>
        </td>
        <td width="85" background="{$imgDir}/pbg2.bmp" align="center">
         <img src="{$imgDir}/aup2.gif" />
         <a style="color: #4D381D;" href="iets.html#dsortmode0"> Datum</a>
        </td>
        <td width="45" background="{$imgDir}/pbg2.bmp">
         &nbsp;
        </td>
        <td width="30" style="padding-left: 10px;" background="{$imgDir}/pbg2.bmp">
         <a style="color: #4D381D;" href="iets.html#dsortmode4"> ID</a>
        </td>
        <td width="15" style="padding-top: 6px;" background="{$imgDir}/pbg2.bmp">
         &nbsp;
        </td>
        <td width="*" style="white-space: nowrap; text-align: left;" background="{$imgDir}/pbg2.bmp">
         <a style="color: #4D381D;" href="iets.html#dsortmode1"> Titel</a>
        </td>
        <td width="20" style="padding-top: 6px;" background="{$imgDir}/pbg2.bmp">
         &nbsp;
        </td>
        <td width="150" style="white-space: nowrap; font-size: 11px; color: #534C3B;padding-top: 2px; text-align: left;" background="{$imgDir}/pbg2.bmp">
         Bestandsnaam
        </td>
        <td width="150" style="text-align: left;" background="{$imgDir}/pbg2.bmp">
         Nieuwsgroepen
        </td>
       </tr>

       <xsl:apply-templates match="Event" />

      </table>
     </td>
    </tr>
   </table>

   <table cellspacing="0" cellpadding="0" width="100%">
    <tr>
     <td width="26">
      <img src="{$imgDir}/botleft3.bmp"/>
     </td>
     <td width="*" background="{$imgDir}/botbot3.bmp" align="right" valign="top">
      <font>FTD4Linux 1.0 &#169; 2003-2006 <a style="color: #A6A8C9;" href="#ftdmailAlguno">Alguno</a>.</font>
     </td>
     <td width="71" background="{$imgDir}/botbot3.bmp">
      <img src="{$imgDir}/ftdfooter3.gif"/>
     </td>
     <td width="*" background="{$imgDir}/botbot3.bmp" valign="top">
      <font>Gehost door <a style="color: #C3C6ED;" href="iets.html#linkhttp://www.quickhost.nl/?ref=1" target="_blank"> <b>QuickHost</b></a> - Webhosting &amp; More</font>
     </td>
    </tr>
   </table>
  </td>
 </tr>
</table>
</body>
</html>

</xsl:template>

<xsl:template match="Event">
 <tr valign="top">
  <!-- Waarom position() hier met stappen van 2 rekent weet ik niet..maar zo werkt het iig wel -->
  <xsl:choose>
   <xsl:when test="UpdatedInWatchlist = 1">
    <xsl:attribute name="onmouseover">
     this.style.backgroundColor = 'FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'a',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="onmouseout">
     this.style.backgroundColor = 'FFDDEF'; ptr(0,'ptr<xsl:value-of select="Pos" />');  dllist(1,'a',<xsl:value-of select="PostID" />);
    </xsl:attribute>
    <xsl:attribute name="bgcolor">
     FFDDEF
    </xsl:attribute>
   </xsl:when>
   <xsl:when test="UpdatedInWatchlist = 0">
    <xsl:choose>
     <xsl:when test="position() mod 4 = 0">
      <xsl:attribute name="onmouseover">
       this.style.backgroundColor = 'FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'a',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="onmouseout">
       this.style.backgroundColor = 'F4FFF4'; ptr(0,'ptr<xsl:value-of select="Pos" />');  dllist(1,'a',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="bgcolor">
       F4FFF4
      </xsl:attribute>
     </xsl:when>
     <xsl:when test="position() mod 4 = 2">
      <xsl:attribute name="onmouseover">
       this.style.backgroundColor = 'FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'b',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="onmouseout">
       this.style.backgroundColor = 'DDFFDD'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'b',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="bgcolor">
       DDFFDD
      </xsl:attribute>
     </xsl:when>
    </xsl:choose>
   </xsl:when>
  </xsl:choose>

  <td>
   <a href="iets.html#remove{PostID}">
    <img onMouseOver="this.src='{$imgDir}/dlx2.gif'" onMouseOut="this.src='{$imgDir}/dlx.gif'" src="{$imgDir}/dlx.gif" border="0" />
   </a>
  </td>
  <td>
   <xsl:choose>
    <xsl:when test="Status = -2">
     <center><img src="{$imgDir}/kill.gif" /></center><!-- deleted -->
    </xsl:when>
    <xsl:when test="Status = -1">
     <center><img src="{$imgDir}/spot.gif" /></center> <!-- spot -->
    </xsl:when>
    <xsl:when test="Status = 0">
     <center><img src="{$imgDir}/gray.gif" /></center> <!-- ready -->
    </xsl:when>
    <xsl:when test="Status = 1">
     <center><img src="{$imgDir}/brown.gif" /></center> <!-- announce -->
    </xsl:when>
    <xsl:when test="Status = 2">
     <center><img src="{$imgDir}/green.gif" /></center> <!-- uploading -->
    </xsl:when>
    <xsl:when test="Status = 3">
     <center><img src="{$imgDir}/red.gif" /></center> <!-- unsupp -->
    </xsl:when>
   </xsl:choose>
  </td>
  <td align="center">
   <span style="white-space:nowrap;"><xsl:value-of select="Datum" /></span>
  </td>
  <td>
   <img src="{$imgDir}/ct{Cat}{SCat}.gif"/>
  </td>
  <td>
   <xsl:value-of select="PostID" />
  </td>
  <td>
   <img name="ptr{Pos}" src="{$imgDir}/ptr1.gif" />
  </td>
  <td style="text-align: left;">
   <a href="iets.html#post{PostID}"><xsl:value-of select="Title" /><!-- <img src="puntjes.gif" border="0" />--></a>
  </td>
  <td>
   <xsl:choose>
    <xsl:when test="Link != ''">
     <a href="iets.html#link{Link}"><img src="{$imgDir}/u.gif" border="0"/></a>
    </xsl:when>
   </xsl:choose>
  </td>
  <td style="text-align: left;">
   <xsl:value-of select="FName" />
  </td>
  <td style="text-align: left;">
   <!--<a style="white-space: nowrap;" onMouseOver = "document['g030'].src = 'group2.gif';" onMouseOut = "document['g030'].src = 'group.gif';" href="#zoom30">-->
    <xsl:for-each select="Newsgroups">
     <xsl:choose>
      <xsl:when test="position() != 1">
       <br />
      </xsl:when>
     </xsl:choose>
     <img name="g030" src="{$imgDir}/group.gif" border="0" /><xsl:value-of select="." />
    </xsl:for-each>
   <!--</a> -->
   <br />
  </td>
 </tr>
</xsl:template>

</xsl:stylesheet>
